#define XERR "sshcron"
#include "sshcron.ih"

    // by run.cc

void SSHCron::toCron()
{
    d_client.open(d_options.uds());

    int fd = d_client.connect();

    d_in.reset(new IFdStream{ fd });        // cf. cron/parentprocess.cc
    d_out.reset(new OFdStream{ fd });

    switch (d_options.request())
    {
        case TERMINATE:
            terminate();                // stops the daemon
        break;

        case LIST:                      // show the active cron-requests
            list();
        break;

        case RELOAD:
            reload();
        break;

        case ERROR:                     // not via d_options
        break;
    }
}



